Bug 241157 - www/node*: prepare for removal of /usr/bin/objdump
Summary: www/node*: prepare for removal of /usr/bin/objdump
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Baptiste Daroussin
URL:
Keywords:
Depends on:
Blocks: 212319
  Show dependency treegraph
 
Reported: 2019-10-09 13:47 UTC by Ed Maste
Modified: 2020-05-06 18:10 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (bapt)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2019-10-09 13:47:07 UTC
/usr/bin/objdump is provided by obsolete GNU binutils 2.17.50, and is expectd to be removed by FreeBSD 13.0.  The www/node* packages are one of three groups that failed in an exp-run.

Error report:
      Node.js compile error: could not find objdump

      Check that GNU binutils are installed and included in PATH
http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/node-12.10.0_1.log

Most likely www/node* should just depend on devel/binutils if it needs objdump.
Comment 1 commit-hook freebsd_committer 2020-05-06 18:10:19 UTC
A commit references this bug:

Author: emaste
Date: Wed May  6 18:09:42 UTC 2020
New revision: 534197
URL: https://svnweb.freebsd.org/changeset/ports/534197

Log:
  www/node*: add binutils dep on objdump

  /usr/bin/objdump will be removed from FreeBSD before FreeBSD 13.0.

  PR:		241157
  Approved by:	bapt
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/www/node/Makefile
  head/www/node10/Makefile
  head/www/node12/Makefile